import '@/app/globals.css'
import type { Metadata } from 'next'
import { Open_Sans } from 'next/font/google'
import AuthProvider from '@/app/context/auth-provider'
import { ThemeProvider } from '@/components/providers/theme-provider'
import { cn } from '@/lib/utils'
import MenuNavigation from '@/components/navigation/menu'

const font = Open_Sans({ subsets: ['latin'] })

export const metadata: Metadata = {
    title: 'Tom-to-Speech',
    description: '',
}

export default function RootLayout({
    children,
}: {
    children: React.ReactNode
}) {
    return (
        <AuthProvider>
            <html lang="en">
                <body className={cn(
                    font.className,
                    "light:bg-white dark:bg-black bg-transparent"
                )}>
                    <ThemeProvider
                        attribute="class"
                        defaultTheme='dark'
                        enableSystem={false}
                        storageKey='global-web-theme'>
                        <MenuNavigation />
                        
                        {children}
                    </ThemeProvider>
                </body>
            </html>
        </AuthProvider>
    )
}
