import Twitch from "next-auth/providers/twitch"

import type { NextAuthConfig } from "next-auth"

export default {
  providers: [
    Twitch({
      clientId: process.env.TWITCH_CLIENT_ID,
      clientSecret: process.env.TWITCH_CLIENT_SECRET,
      authorization: {
        params: {
          scope: "openid user:read:email",
        },
      }
    })
  ],
} satisfies NextAuthConfig