"use client"

import { LoginForm } from "@/components/auth/login-form";
import React from "react";
import { 
  Card,
  CardContent,
  CardHeader,
  CardFooter,
  CardTitle
} from "@/components/ui/card";
import { Header } from "@/components/auth/header";
import { Social } from "@/components/auth/social";


interface CardWrapperProps {
  children: React.ReactNode
  headerLabel: string
}

export const CardWrapper = ({
  children,
  headerLabel
}: CardWrapperProps) => {
  return ( 
    <Card className="w-[400px] shadow-md bg-white text-black">
      <CardHeader>
        <Header label={headerLabel} />
      </CardHeader>
      <CardContent>
        {children}
      </CardContent>
      <CardFooter>
        <Social />
      </CardFooter>
    </Card>
   );
}
 
export default CardWrapper